Package org.apache.groovy.parser.antlr4

## Class GroovydocManager

- java.lang.Object
- - org.apache.groovy.parser.antlr4.GroovydocManager

-     public class GroovydocManager
      extends Object

  A utilities for managing groovydoc, e.g. 1) extracting groovydoc from groovy AST; 2) TODO extracting tags from groovydoc; 3) attach groovydoc to AST node as metadata

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DOC_COMMENT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovydocManager​(boolean groovydocEnabled, boolean runtimeGroovydocEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `handle​(ASTNode node, GroovyParser.GroovyParserRuleContext ctx)` | Attach doc comment to member node as meta data

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DOC_COMMENT

          public static final String DOC_COMMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GroovydocManager

          public GroovydocManager​(boolean groovydocEnabled,
                                  boolean runtimeGroovydocEnabled)

  - ### Method Detail

    - #### handle

          public void handle​(ASTNode node,
                             GroovyParser.GroovyParserRuleContext ctx)

      Attach doc comment to member node as meta data